extends WeaponState


func enter() -> void:
	machine.animation_player.play(machine.animation_prefix+"idle")

func exit() -> void:
	pass

func state_input(event: InputEvent) -> void:
	if event.is_action("plr_bomb") and Session.is_on_site():
		transition.emit("Plant")
